Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## com.trolltech.qt.core
Enum Qt.Corner

    java.lang.Object
      java.lang.Enum<Qt.Corner>
          com.trolltech.qt.core.Qt.Corner

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable<Qt.Corner>

Enclosing interface:
  Qt

    public static enum Qt.Corner

extends java.lang.Enum<Qt.Corner>
implements QtEnumerator

This enum type specifies a corner in a rectangle.

Constant | Value | Description
--- | --- | ---
`TopLeftCorner` | `0` | The top-left corner of the rectangle.
`TopRightCorner` | `1` | The top-right corner of the rectangle.
`BottomLeftCorner` | `2` | The bottom-left corner of the rectangle.
`BottomRightCorner` | `3` | The bottom-right corner of the rectangle.

Enum Constant Summary
`BottomLeftCorner` The bottom-left corner of the rectangle.
`BottomRightCorner` The bottom-right corner of the rectangle.
`TopLeftCorner` The top-left corner of the rectangle.
`TopRightCorner` The top-right corner of the rectangle.

Method Summary
`static Qt.Corner` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static Qt.Corner` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Qt.Corner[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### TopLeftCorner

    public static final Qt.Corner TopLeftCorner

  The top-left corner of the rectangle.

### TopRightCorner

    public static final Qt.Corner TopRightCorner

  The top-right corner of the rectangle.

### BottomLeftCorner

    public static final Qt.Corner BottomLeftCorner

  The bottom-left corner of the rectangle.

### BottomRightCorner

    public static final Qt.Corner BottomRightCorner

  The bottom-right corner of the rectangle.

Method Detail

### values

    public static final Qt.Corner[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Qt.Corner c : Qt.Corner.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Qt.Corner valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static Qt.Corner resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
Qt Jambi Home |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD